<?php  

namespace Concrete\Package\Clearcachelogin;

defined('C5_EXECUTE') or die(_("Access Denied."));

class Controller extends \Concrete\Core\Package\Package
{

    protected $pkgHandle = 'clearcachelogin';
    protected $appVersionRequired = '5.7.3';
    protected $pkgVersion = '0.9.1';


    public function getPackageDescription()
    {
        return t("When you install this addon, logins by the super-user will trigger clearing the cache.");
    }

    public function getPackageName()
    {
        return t("Clear Cache on Admin Login");
    }

    public function on_start() {
        \Events::addListener('on_user_login', function() {
            $u = new \User();
            if($u->isSuperUser()) {
                // single_page/dashboard/system/optimization/cleacache.php Clearcache->do_clear
                $cms = \Core::make('app');
                $cms->clearCaches();
            }

        });
    }

}